package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.util.UidUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考生重考审核人
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam_reexam_auditing", description = "考生重考审核人")
public class TEExamReexamAuditing implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "重考id")
    @TableField(value = "reexam_id")
    private Long reexamId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "审核人id")
    @TableField(value = "auditing_id")
    private Long auditingId;

    public TEExamReexamAuditing() {

    }

    public TEExamReexamAuditing(Long reexamId, Long auditingId) {
        this.id = UidUtil.nextId();
        this.reexamId = reexamId;
        this.auditingId = auditingId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getReexamId() {
        return reexamId;
    }

    public void setReexamId(Long reexamId) {
        this.reexamId = reexamId;
    }

    public Long getAuditingId() {
        return auditingId;
    }

    public void setAuditingId(Long auditingId) {
        this.auditingId = auditingId;
    }
}
